function graba_perso() {
  var data = new_FormData('dato_perso', 'post');
      data.append('script', 'nomi_graba');
      data.append('para_nomi','GP');
  exe_ajax(data);
}

function consu_perso() 
{
    var data=new_FormData('dato_perso','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','CP');
    exe_ajax(data);
}

function carga_perso()
{
    var xurl,xempr;
    var data=new_FormData('dato_perso','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','PE');
        data.append('empr',document.getElementById('empr').innerText);
    var dato = data;
    _urlinker='_cfg/_linker.php';     
    xurl=_urlinker;

  	var rdata;
     $.ajax({
          cache:false,
          url:xurl,
          async:false,
          type:'POST',
          data:dato,
          contentType:false,
          datatype:"text",
          processData:false,
          beforeSend: function(jqXHR, textStatus)
          {
              document.body.style.cursor = 'wait';
          }, 
          success:function(dato, textStatus, jqXHR)
          {
            //console.log(dato);
            document.getElementById('apellido').value=$(dato).find("papellido").text();
            document.getElementById('nombre').value=$(dato).find("pnombre").text();
            document.getElementById('sexo').value=$(dato).find("psexo").text();
            document.getElementById('nacimi').value=$(dato).find("pnacim").text();
            document.getElementById('direccion').value=$(dato).find("pdirecc").text();
            document.getElementById('telefono').value=$(dato).find("ptelefo").text();
            document.getElementById('correo').value=$(dato).find("pcorreo").text();
            document.getElementById('ecivil').value=$(dato).find("pecivil").text();
            document.getElementById('tsangre').value=$(dato).find("psangre").text();
            document.getElementById('profesion').value=$(dato).find("pprofesi").text();
            document.getElementById('titulo').value=$(dato).find("ptitulo").text();
            document.getElementById('contacto').value=$(dato).find("pcontac").text();
            document.getElementById('discapa').value=$(dato).find("pdisca").text();
            document.getElementById('porcentaje').value=$(dato).find("pporce").text();
            document.getElementById('reemp').value=$(dato).find("preempla").text();

            document.getElementById('result').innerHTML=$(dato).find("result").html();

          },
          error:function(jqXHR,textStatus,errorThrown )
          {
               console.log('****** ERROR ******');
               console.log(jqXHR.status);
          }, 
          complete:function(jqXHR, textStatus)
          {
               document.body.style.cursor = 'default';
               if(textStatus==='success'){}
          },
          timeout:60000
     });
}

function nombre_perso() 
{
    var xurl,xempr;
    var data=new_FormData('dato_emple','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','NP');
        data.append('empr',document.getElementById('empr').innerText);
    var dato = data;
    _urlinker='_cfg/_linker.php';    xurl=_urlinker;

  	var rdata;
     $.ajax({
          cache:false,
          url:xurl,
          async:false,
          type:'POST',
          data:dato,
          contentType:false,
          datatype:"text",
          processData:false,
          beforeSend: function(jqXHR, textStatus)
          {
              document.body.style.cursor = 'wait';
          }, 
          success:function(dato, textStatus, jqXHR)
          {
            console.log(dato);
            //alert("datos" + dato);
            document.getElementById('apellido').value=$(dato).find("papellido").text();
            document.getElementById('nombre').value=$(dato).find("pnombre").text();
            document.getElementById('apellido').disabled = true ;
            document.getElementById('nombre').disabled = true ;

            document.getElementById('result').innerHTML=$(dato).find("result").html();
          },
          error:function(jqXHR,textStatus,errorThrown )
          {
               console.log('****** ERROR ******');
               console.log(jqXHR.status);
          }, 
          complete:function(jqXHR, textStatus)
          {
               document.body.style.cursor = 'default';
               if(textStatus==='success'){}
          },
          timeout:60000
     });
}

function datos_emple() 
{
    var xurl,xempr;
    var data=new_FormData('dato_emple','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','DE');
        data.append('empr',document.getElementById('empr').innerText);
    var dato = data;
    _urlinker='_cfg/_linker.php';    xurl=_urlinker;

  	var rdata;
     $.ajax({
          cache:false,
          url:xurl,
          async:false,
          type:'POST',
          data:dato,
          contentType:false,
          datatype:"text",
          processData:false,
          beforeSend: function(jqXHR, textStatus)
          {
              document.body.style.cursor = 'wait';
          }, 
          success:function(dato, textStatus, jqXHR)
          {
            //console.log(dato);
            //alert("datos" + dato);
            document.getElementById('cia').value=$(dato).find("pcia").text();
            document.getElementById('anticipo').value=$(dato).find("panticipo").text();
            document.getElementById('dpto').value=$(dato).find("pdpto").text();
            document.getElementById('cargo').value=$(dato).find("pcargo").text();
            document.getElementById('contrato').value=$(dato).find("pcontrato").text();
            document.getElementById('sectorial').value=$(dato).find("psectorial").text();
            document.getElementById('afilia').value=$(dato).find("pafilia").text();
            document.getElementById('sueldo').value=$(dato).find("psueldo").text();
            document.getElementById('movil').value=$(dato).find("pmovil").text();
            document.getElementById('poranti').value=$(dato).find("pporanti").text();
            document.getElementById('valanti').value=$(dato).find("pvalanti").text();
            document.getElementById('transp').value=$(dato).find("ptransp").text();
            document.getElementById('alimen').value=$(dato).find("palimen").text();
            document.getElementById('horae').value=$(dato).find("phorae").text();
            document.getElementById('bnavi').value=$(dato).find("pbnavi").text();
            document.getElementById('besco').value=$(dato).find("pbesco").text();
            document.getElementById('fr').value=$(dato).find("pfr").text();


            document.getElementById('result').innerHTML=$(dato).find("result").html();
          },
          error:function(jqXHR,textStatus,errorThrown )
          {
               console.log('****** ERROR ******');
               console.log(jqXHR.status);
          }, 
          complete:function(jqXHR, textStatus)
          {
               document.body.style.cursor = 'default';
               if(textStatus==='success'){}
          },
          timeout:60000
     });
}


function graba_emple() {
  var data = new_FormData('dato_emple', 'post');
      data.append('script', 'nomi_graba');
      data.append('para_nomi','GE');
  exe_ajax(data);  
}

function consu_emple() 
{
    var xurl,xempr;
    var data=new_FormData('dato_emple','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','CE');
        data.append('empr',document.getElementById('empr').innerText);
    var dato = data;
    _urlinker='_cfg/_linker.php';     
    xurl=_urlinker;

  	var rdata;
     $.ajax({
          cache:false,
          url:xurl,
          async:false,
          type:'POST',
          data:dato,
          contentType:false,
          datatype:"text",
          processData:false,
          beforeSend: function(jqXHR, textStatus)
          {
              document.body.style.cursor = 'wait';
          }, 
          success:function(dato, textStatus, jqXHR)
          {
            //console.log(dato);
            document.getElementById('cedula').value=$(dato).find("pcedula").text();
            document.getElementById('apellido').value=$(dato).find("papellido").text();
            document.getElementById('nombre').value=$(dato).find("pnombre").text();
            document.getElementById('cia').value=$(dato).find("pcia").text();
            document.getElementById('anticipo').value=$(dato).find("panticipo").text();
            document.getElementById('dpto').value=$(dato).find("pdpto").text();
            document.getElementById('cargo').value=$(dato).find("pcargo").text();
            document.getElementById('contrato').value=$(dato).find("pcontrato").text();
            document.getElementById('sectorial').value=$(dato).find("psectorial").text();
            document.getElementById('afilia').value=$(dato).find("pafilia").text();
            document.getElementById('sueldo').value=$(dato).find("psueldo").text();
            document.getElementById('movil').value=$(dato).find("pmovil").text();
            document.getElementById('poranti').value=$(dato).find("pporanti").text();
            document.getElementById('valanti').value=$(dato).find("pvalanti").text();
            document.getElementById('transp').value=$(dato).find("ptransp").text();
            document.getElementById('alimen').value=$(dato).find("palimen").text();
            document.getElementById('horae').value=$(dato).find("phorae").text();
            document.getElementById('bnavi').value=$(dato).find("pbnavi").text();
            document.getElementById('besco').value=$(dato).find("pbesco").text();
            document.getElementById('fr').value=$(dato).find("pfr").text();

            document.getElementById('apellido').disabled = true ;
            document.getElementById('nombre').disabled = true ;

            document.getElementById('result').innerHTML=$(dato).find("result").html();

          },
          error:function(jqXHR,textStatus,errorThrown )
          {
               console.log('****** ERROR ******');
               console.log(jqXHR.status);
          }, 
          complete:function(jqXHR, textStatus)
          {
               document.body.style.cursor = 'default';
               if(textStatus==='success'){}
          },
          timeout:60000
     });
}


function calcula_rol() 
{
    var data=new_FormData('dato_rol','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','CR');
    exe_ajax(data);
}

function imprimir_rol() 
{
    var data=new_FormData('divc','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','IR');
    exe_ajax(data);
    document.getElementById('cedula').value="";
}

function limpia_perso() 
{

   document.getElementById('cedula').value="";
   document.getElementById('apellido').value="";
   document.getElementById('nombre').value="";
   document.getElementById('sexo').value="-";
   document.getElementById('nacimi').value="";
   document.getElementById('direccion').value="";
   document.getElementById('telefono').value="";
   document.getElementById('correo').value="";
   document.getElementById('ecivil').value="-";
   document.getElementById('tsangre').value="-";
   document.getElementById('profesion').value="-";
   document.getElementById('titulo').value="";
   document.getElementById('contacto').value="";
   document.getElementById('discapa').value="-";
   document.getElementById('porcentaje').value=0.00;
   document.getElementById('reemp').value="-";
}

  function limpia_emple() 
{
   document.getElementById('cedula').value="";
   document.getElementById('apellido').value="";
   document.getElementById('nombre').value="";

   document.getElementById('cia').value="-";
   document.getElementById('anticipo').value="-";
   document.getElementById('dpto').value="-";
   document.getElementById('cargo').value="-";
   document.getElementById('contrato').value="-";
   document.getElementById('sectorial').value="-";
   document.getElementById('afilia').value="";
   document.getElementById('sueldo').value=0.00;
   document.getElementById('movil').value=0.00;
   document.getElementById('poranti').value=0.00;
   document.getElementById('valanti').value=0.00;
   document.getElementById('transp').value=0.00;
   document.getElementById('alimen').value=0.00;
   document.getElementById('horae').value="-";
   document.getElementById('bnavi').value="-";
   document.getElementById('besco').value="-";
   document.getElementById('fr').value="-";

   document.getElementById('apellido').disabled = false ;
   document.getElementById('nombre').disabled = false ;

}

function graba_nove() 
{
    var data=new_FormData('dato_rol','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','GN');
    exe_ajax(data);
}

function suma_horas() 
{
  var lHoras = 0.00;
  var lEnfer = 0.00;
  var lLiSin = 0.00;
  var lLiCon = 0.00;

  lHoras = parseInt(document.getElementById('horas').value);
  lEnfer = parseInt(document.getElementById('enfer').value);
  lLiSin = parseInt(document.getElementById('licensin').value);
  lLiCon = parseInt(document.getElementById('licencon').value);
  document.getElementById('THoras').value = lHoras + lEnfer + lLiSin + lLiCon;
  document.getElementById('THoras').disabled = true;
  
}

function graba_hora() 
{
    var data=new_FormData('dato_hora','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','GH');
    exe_ajax(data);
    document.getElementById('horas').value    = 240.00;
    document.getElementById('enfer').value    = 0.00;
    document.getElementById('licensin').value = 0.00;
    document.getElementById('licencon').value = 0.00;
    document.getElementById('h25').value      = 0.00;
    document.getElementById('h50').value      = 0.00;
    document.getElementById('h100').value     = 0.00;
//    document.getElementById('Thoras').value   = 0.00;
}

function consu_hora() 
{
    var data=new_FormData('dato_hora','post');
        data.append('script','nomi_graba');
        data.append('para_nomi','CH');
    exe_ajax(data);
}

function toExcel(tableID)
{    
    var detailsTable = document.getElementById(tableID);
    var oExcel = new ActiveXObject("Scripting.FileSystemObject");
    var oBook = oExcel.Workbooks.Add;
    var oSheet = oBook.Worksheets(1);
    for (var y=0;y<detailsTable.rows.length;y++)
    {
        for (var x=0;x<detailsTable.rows(y).cells.length;x++)
        {
            oSheet.Cells(y+1,x+1) =detailsTable.rows(y).cells(x).innerText;
        }
    }
    oExcel.Visible = true;
    oExcel.UserControl = true;
} 

function CreateExcelSheet(idTable)
{


   var x=idTable.rows

   var xls = new ActiveXObject("Excel.Application")
   xls.visible = true
   xls.Workbooks.Add
      for (i = 0; i < x.length; i++)
      {
         var y = x[i].cells

         for (j = 0; j < y.length; j++)
         {
            xls.Cells( i+1, j+1).Value = y[j].innerText
         }
      }




}